<?php
/**
 * @var $saved string
 * @var $id string
 */
printf(
    '<input type="checkbox" name="' . $id . '" value="%1$s" id="' . $id . '" %3$s />'.
    '<label for="' . $id . '"> %2$s ' .
    '</label><br>',
    esc_attr($id),
    esc_html($label),
    checked(true, $saved, false)
);